Bug 1417882 - [abrt] kde-cli-tools: KScreen::Mode::size(): kcmshell5 killed by SIGSEGV
Summary: [abrt] kde-cli-tools: KScreen::Mode::size(): kcmshell5 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-cli-tools
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:298b618e2d50c4424fe95c03612...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 11:10 UTC by Paulo Fidalgo
Modified: 2017-12-12 10:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:35:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.92 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: core_backtrace (10.50 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: dso_list (24.54 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: environ (1.63 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: maps (107.46 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: mountinfo (3.41 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: open_fds (2.18 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details
File: var_log_messages (4.34 KB, text/plain)
2017-01-31 11:10 UTC, Paulo Fidalgo
no flags Details

Description Paulo Fidalgo 2017-01-31 11:10:18 UTC
Description of problem:
I was tryng to unify both displays, the one from the laptop and the external (HDMI)

Version-Release number of selected component:
kde-cli-tools-5.8.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/kcmshell5 kcm_kscreen
crash_function: KScreen::Mode::size
executable:     /usr/bin/kcmshell5
global_pid:     21528
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 KScreen::Mode::size at /usr/src/debug/libkscreen-5.8.5/src/mode.cpp:102
 #1 UnifiedOutputConfig::createFakeOutput at /usr/src/debug/kscreen-5.8.5/kcm/src/unifiedoutputconfig.cpp:142
 #2 UnifiedOutputConfig::initUi at /usr/src/debug/kscreen-5.8.5/kcm/src/unifiedoutputconfig.cpp:90
 #3 UnifiedOutputConfig::setOutput at /usr/src/debug/kscreen-5.8.5/kcm/src/unifiedoutputconfig.cpp:74
 #4 ControlPanel::setUnifiedOutput at /usr/src/debug/kscreen-5.8.5/kcm/src/controlpanel.cpp:117
 #5 Widget::slotUnifyOutputs at /usr/src/debug/kscreen-5.8.5/kcm/src/widget.cpp:310
 #6 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:101
 #7 QMetaObject::activate at kernel/qobject.cpp:3723
 #9 QAbstractButton::released at .moc/moc_qabstractbutton.cpp:300
 #10 QAbstractButtonPrivate::emitReleased at widgets/qabstractbutton.cpp:439

Comment 1 Paulo Fidalgo 2017-01-31 11:10:22 UTC
Created attachment 1246178 [details]
File: backtrace

Comment 2 Paulo Fidalgo 2017-01-31 11:10:24 UTC
Created attachment 1246179 [details]
File: cgroup

Comment 3 Paulo Fidalgo 2017-01-31 11:10:25 UTC
Created attachment 1246180 [details]
File: core_backtrace

Comment 4 Paulo Fidalgo 2017-01-31 11:10:27 UTC
Created attachment 1246181 [details]
File: dso_list

Comment 5 Paulo Fidalgo 2017-01-31 11:10:29 UTC
Created attachment 1246182 [details]
File: environ

Comment 6 Paulo Fidalgo 2017-01-31 11:10:30 UTC
Created attachment 1246183 [details]
File: exploitable

Comment 7 Paulo Fidalgo 2017-01-31 11:10:31 UTC
Created attachment 1246184 [details]
File: limits

Comment 8 Paulo Fidalgo 2017-01-31 11:10:34 UTC
Created attachment 1246185 [details]
File: maps

Comment 9 Paulo Fidalgo 2017-01-31 11:10:35 UTC
Created attachment 1246186 [details]
File: mountinfo

Comment 10 Paulo Fidalgo 2017-01-31 11:10:36 UTC
Created attachment 1246187 [details]
File: namespaces

Comment 11 Paulo Fidalgo 2017-01-31 11:10:38 UTC
Created attachment 1246188 [details]
File: open_fds

Comment 12 Paulo Fidalgo 2017-01-31 11:10:39 UTC
Created attachment 1246189 [details]
File: proc_pid_status

Comment 13 Paulo Fidalgo 2017-01-31 11:10:41 UTC
Created attachment 1246190 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:48:54 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:35:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.